vn.py官网
你的开源社区量化交易平台
Member
avatar
加入于:
帖子: 1
声望: 0

Exception in thread Thread-12:
multiprocessing.pool.RemoteTraceback:
"""
Traceback (most recent call last):
File "C:\vnstudio\lib\multiprocessing\pool.py", line 121, in worker
result = (True, func(args, **kwds))
File "C:\vnstudio\lib\multiprocessing\pool.py", line 44, in mapstar
return list(map(
args))
File "C:\vnstudio\lib\site-packages\vnpy\trader\optimize.py", line 226, in ga_evaluate
cache[tp] = result
File "<string>", line 2, in setitem
File "C:\vnstudio\lib\multiprocessing\managers.py", line 811, in _callmethod
raise convert_to_error(kind, result)

multiprocessing.managers.RemoteError:

Traceback (most recent call last):
File "C:\vnstudio\lib\multiprocessing\managers.py", line 234, in serve_client
request = recv()
File "C:\vnstudio\lib\multiprocessing\connection.py", line 251, in recv
return _ForkingPickler.loads(buf.getbuffer())

AttributeError: Can't get attribute 'dtype' on <module 'numpy' from 'C:\vnstudio\lib\site-packages\numpy\init.py'>

"""

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "C:\vnstudio\lib\threading.py", line 917, in _bootstrap_inner
self.run()
File "C:\vnstudio\lib\threading.py", line 865, in run
self._target(*self._args, **self._kwargs)
File "C:\vnstudio\lib\site-packages\vnpy_ctabacktester\engine.py", line 305, in run_optimization
output=False
File "C:\vnstudio\lib\site-packages\vnpy_ctastrategy\backtesting.py", line 556, in run_ga_optimization
output=self.output
File "C:\vnstudio\lib\site-packages\vnpy\trader\optimize.py", line 198, in run_ga_optimization
verbose=False
File "C:\vnstudio\lib\site-packages\deap\algorithms.py", line 301, in eaMuPlusLambda
fitnesses = toolbox.map(toolbox.evaluate, invalid_ind)
File "C:\vnstudio\lib\multiprocessing\pool.py", line 290, in map
return self._map_async(func, iterable, mapstar, chunksize).get()
File "C:\vnstudio\lib\multiprocessing\pool.py", line 683, in get
raise self._value

multiprocessing.managers.RemoteError:

Traceback (most recent call last):
File "C:\vnstudio\lib\multiprocessing\managers.py", line 234, in serve_client
request = recv()
File "C:\vnstudio\lib\multiprocessing\connection.py", line 251, in recv
return _ForkingPickler.loads(buf.getbuffer())

AttributeError: Can't get attribute 'dtype' on <module 'numpy' from 'C:\vnstudio\lib\site-packages\numpy\init.py'>

qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback

请问该怎么处理

Member
avatar
加入于:
帖子: 2748
声望: 189

看上去像是numpy和openssl都报错了,请问能贴一下报错截图,然后详细描述一下你的操作吗?请问是自建策略优化才报这个错还是用示例策略也报同样的错呢?如果用示例策略也报相同的错的话,那请提供一下优化细节,这样我们复现一下你的操作看看

© 2015-2019 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号-3

沪公网安备 31011502017034号